Package org.apache.lucene.codecs.uniformsplit

## Interface IndexDictionary.BrowserSupplier

- All Superinterfaces:
    `IOSupplier<IndexDictionary.Browser>`
  All Known Implementing Classes:
    `FSTDictionary.BrowserSupplier`
  Enclosing interface:
    IndexDictionary

      public static interface IndexDictionary.BrowserSupplier
      extends IOSupplier<IndexDictionary.Browser>

  Supplier for a new stateful `IndexDictionary.Browser` created on the immutable `IndexDictionary`.

  The immutable `IndexDictionary` is lazy loaded thread safely. This lazy loading allows us to load it only when `TermsEnum.seekCeil(org.apache.lucene.util.BytesRef)` or `TermsEnum.seekExact(org.apache.lucene.util.BytesRef)` are called (it is not loaded for a direct all-terms enumeration).

- - ### Method Summary

    - ### Methods inherited from interface org.apache.lucene.util.IOSupplier

      `get`